<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:jsf="http://xmlns.jcp.org/jsf">
    <h:head>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
        <title>PolarisERP</title>
        <h:outputStylesheet name="semantic-ui/semantic.min.css" />
        <h:outputStylesheet name="css/default.css" />
        <h:outputScript name="jquery-3.3.1.min.js" />
        <h:outputScript name="semantic-ui/semantic.min.js" />
        <h:outputScript name="calendar/calendar.min.js" />
        <h:outputScript name="moment-with-locales.js" />
        <h:outputStylesheet name="calendar/calendar.min.css" />
        <f:metadata>
            <f:event type="preRenderView" listener="#{sessionManBean.verificarLogueado()}"></f:event>
        </f:metadata>
        <style>
            .pusher{
                padding-top: 4em;
            }
            .landing-image {
                background-image: url('#{resource['imagenes/loginbackground.png']}') !important;
                background-size: cover !important;
            }
        </style>
        <link href="#{resource['imagenes/polarislogo.ico']}" rel="shortcut icon" type="image/x-icon" />
    </h:head>
    <h:body>

        <div id="left-sidebar" class="ui left sidebar inverted vertical accordion menu">
            <h:form id="form-filtro-moduos" class="item">
                <div class="ui inverted transparent icon input">
                    <input id="txf-buscar-modulo" placeholder="Buscar módulo..." type="text" jsf:value="#{sessionManBean.textoBusquedaModulo}"/>
                    <i id="icon-busq-modulo" class="search inverted icon"></i>
                </div>
                <h:commandLink id="cml-filtrar-modulos" style="display: none" >
                    <f:ajax execute="@form" render="menus-modulos" onevent="function(data){ajaxFiltrarModulos(data)}" />
                </h:commandLink>
            </h:form>
            <div class="item landing-image">
                <h:graphicImage class="ui small image" library="imagenes" name="tvmaxlogo.png"/>
            </div>
            <a class="item" href="#{navegacion.getDireccionNav('inicio')}">
                <i class="large dashboard icon" />
                Dashboard
            </a>
            <h:form id="menus-modulos">
                <ui:repeat id="rpCatModulos" value="#{sessionManBean.listaCategoriasModulosAutorizados}" var="catmod" varStatus="rpCatModulosStatus">
                    <div class="item">
                        <a class="title">
                            <i class="dropdown icon"/>
                            <i class="#{catmod.icono}" />
                            #{catmod.nombre}
                        </a>
                        <div class="content">
                            <div class="ui secondary inverted vertical large menu">
                                <ui:repeat id="rpModulosCat" value="#{sessionManBean.getListaModulosAutorizados(catmod.idcategoriaModulo)}" var="modulo" varStatus="rpModulosCatStatus">
                                    <h:commandLink class="item" actionListener="#{usoModuloManBean.incrementarUso(sessionManBean.funcionarioVar.idfuncionario, modulo.idmodulo)}">
                                        #{modulo.nombre}
                                        <f:ajax onevent="function(data){ajaxInvocacionModulo(data, '#{navegacionManBean.rootPath}/faces/#{modulo.url}')}" />
                                    </h:commandLink>
                                </ui:repeat>
                            </div>
                        </div>
                    </div>
                </ui:repeat>
            </h:form>
        </div>
        <div class="pusher">
            <div class="ui centered grid">
                <div class="fifteen wide column">
                    <ui:insert name="contenido">

                    </ui:insert>
                    
                </div>
            </div>
        </div>
        <div class="ui top fixed inverted menu">
            <a id="menu-lateral" class="item">
                <i class="sidebar icon"/>
                Menu
            </a>
            <ui:insert name="menu-princ">

            </ui:insert>
            <div class="right menu">
                <!--                <div class="item">
                                    <div class="ui inverted transparent icon input">
                                        <input placeholder="Buscar..." type="text"/>
                                        <i class="search link inverted icon"></i>
                                    </div>
                                </div>-->
                <div class="ui dropdown item">
                    <i class="user icon"/>
                    #{sessionManBean.funcionarioVar.nombres}
                    <i class="dropdown icon" />
                    <div class="menu">
                        <a class="item" href="#">
                            <i class="settings icon" />
                            Ajustes
                        </a>

                        <a class="item" onclick="$('#form-cerrar-sesion\\:cml-cerrar-sesion').click()">
                            <i class="sign out icon"/>Cerrar Session
                        </a>
                    </div>
                </div>

            </div>
            <h:form id="form-cerrar-sesion">
                <h:commandLink style="display: none" id="cml-cerrar-sesion" action="#{sessionManBean.logout()}">
                    <f:ajax execute="@form" />
                </h:commandLink>
            </h:form>
        </div>

        <script type="text/javascript">
            const restRootPath="#{navegacionManBean.restApiPath}";
            function ajaxInvocacionModulo(data, dirModulo) {
                var status = data.status;
                var enlace = document.location.origin + dirModulo;
                switch (status) {
                    case 'success':
                    {
                        window.location.href = enlace;
                        break;
                    }
                }
            }
            $(document).ready(function () {
                if ($('#txf-buscar-modulo').val() === '') {
                    $('#menus-modulos .item .title').removeClass('active');
                    $('#menus-modulos .item .content').removeClass('active');
                } else {
                    $('#menus-modulos .item .title').addClass('active');
                    $('#menus-modulos .item .content').addClass('active');
                }
                $('.ui.sidebar').sidebar({
                    onShow: function () {
                        $('#txf-buscar-modulo').val('');
                        $('#form-filtro-moduos\\:cml-filtrar-modulos').click();
                        $('#txf-buscar-modulo').focus();
                    }
                });
            });
            $('.ui.accordion').accordion();
            $('.ui.dropdown').dropdown();
            $('#menu-lateral').click(function () {
//                $('#right-sidebar').sidebar('setting', 'dimPage', false).sidebar('setting', 'transition', 'overlay').sidebar('toggle');
                $('#left-sidebar').sidebar('toggle');
            });

            var timeOut = 0;
            $('#txf-buscar-modulo').on('input', function () {
                clearTimeout(timeOut);
                timeOut = setTimeout(function () {
                    $('#form-filtro-moduos\\:cml-filtrar-modulos').click();
                }, 350);
            });

            function ajaxFiltrarModulos(data) {
                var s = data.status;
                switch (s) {
                    case 'begin':
                    {
                        $('#icon-busq-modulo').removeClass("search");
                        $('#icon-busq-modulo').addClass("spinner");
                        $('#icon-busq-modulo').addClass("loading");
                        break;
                    }
                    case 'success':
                    {
                        $('#icon-busq-modulo').removeClass("spinner");
                        $('#icon-busq-modulo').removeClass("loading");
                        $('#icon-busq-modulo').addClass("search");
                        if ($('#txf-buscar-modulo').val() === '') {
                            $('#menus-modulos .item .title').removeClass('active');
                            $('#menus-modulos .item .content').removeClass('active');
                        } else {
                            $('#menus-modulos .item .title').addClass('active');
                            $('#menus-modulos .item .content').addClass('active');
                        }
                        break;
                    }
                }
            }
        </script>        
    </h:body>
</html>

